%define pypi_name iso8601

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 3
Summary:        Simple module to parse ISO 8601 dates

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/iso8601/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-%{pypi_name}
Summary:        Simple module to parse ISO 8601 dates
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files iso8601

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2237287
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2153021
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2077557
- new version 2.1.0

* Sun Dec 17 2023 papoteur <papoteur> 1.1.0-2.mga10
+ Revision: 2018540
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1822259
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.2-1.mga9
+ Revision: 1772410
- new version 1.0.2
- rebuild for python3.10

* Tue Mar 16 2021 tmb <tmb> 0.1.13-2.mga9
+ Revision: 1703970
- rebuild for python 3.9

* Mon Mar 01 2021 daviddavid <daviddavid> 0.1.13-1.mga9
+ Revision: 1695070
- new version: 0.1.13

* Thu Jul 23 2020 ovitters <ovitters> 0.1.12-7.mga8
+ Revision: 1608277
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.1.12-6.mga8
+ Revision: 1532173
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.1.12-5.mga8
+ Revision: 1441832
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.1.12-4.mga7
+ Revision: 1351679
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.12-3.mga7
+ Revision: 1289077
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 0.1.12-2.mga7
+ Revision: 1220451
- Renamed python-iso8601 to python2-iso8601
- Use python_provide

* Sat Aug 05 2017 philippem <philippem> 0.1.12-1.mga7
+ Revision: 1135137
- update to 0.1.12, rebuild for Python 3.6

* Fri Jan 29 2016 daviddavid <daviddavid> 0.1.11-1.mga6
+ Revision: 928714
- new version: 0.1.11
- use new python macros

* Fri Oct 09 2015 tv <tv> 0.1.10-7.mga6
+ Revision: 887995
- rebuild for python 3.5

* Sun Mar 08 2015 philippem <philippem> 0.1.10-6.mga5
+ Revision: 818110
- add Python3
- add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.1.10-5.mga5
+ Revision: 747738
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.10-4.mga5
+ Revision: 728790
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.10-3.mga5
+ Revision: 688091
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 0.1.10-1.mga5
+ Revision: 610688
- update file list
- new version to make keystone client installable

* Tue Oct 22 2013 umeabot <umeabot> 0.1.4-4.mga4
+ Revision: 543526
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.4-3.mga4
+ Revision: 498752
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 379020
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.1.4-1.mga3
+ Revision: 313499
- imported package python-iso8601


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul  9 2010 Ian Weller <iweller@redhat.com> - 0.1.4-2
- Correct python_sitelib macro

* Mon Jun 28 2010 Ian Weller <iweller@redhat.com> - 0.1.4-1
- Initial package build
